<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Intro to Bootstrap</title>

	<!-- bootstrap CSS -->
	<link rel="stylesheet" 
		href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" 
		integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" 
		crossorigin="anonymous">

	<!-- external CSS -->
	<link rel="stylesheet" href="./index.css">
</head>
<body>
	<!-- 
		How to add bootstrap in our page:
		- Bootstrap's meta tags, css and js dependencies call be found in bootstrap's website
			- Bootstrap CSS and meta tags are added in the head
			- Bootstrap JS dependencies are added at the end of the body

			https://getbootstrap.com/docs/4.6/getting-started/introduction

			syntax:
			<tag class="bootstrap-class another bootstrap-class"></tag>
	 -->
	<h1 class="text-center">Bootstrap Introduction</h1>
	<!-- This will add bootstrap paddings and margins to the div, which acts as container for all our other elements -->
	<div class="container-fluid">
		<h2 class="text-center">Clases for Text Color</h2>
		<p class="text-primary">Primary</p>
		<p class="text-secondary">Secondary</p>
		<p class="text-dark">Dark</p>
		<p class="text-muted">Muted</p>
		<p class="text-white bg-dark">White</p>
	</div>
	<div class="container">
		<h2>Classes for Background Colors</h2>
		<div class="border-primary bg-success text-white">BG Success</div>
		<div class="bg-danger text-white">BG Danger</div>
		<div class="bg-warning text-white">BG Warning</div>
	</div>
	<!-- padding and margins bootstrap -->
	<div class="mt-5 p-3 bg-warning">
		Bootstrap has its own responsive padding and margins. Where its classes, m stands for margin and p stands for padding.
	</div>

	<div class="my-5 px-4 bg-primary text-white">
		Bootstrap Padding and Margin can be applied on specific sides:
		<ul>
			<li>t - sets either margin or padding at the top: mt or pt</li>
			<li>b - sets either margin or padding at the bottom: mb or pb</li>
			<li>x - sets either margin or padding on the x-axis, on both left and right sides: mx or px</li>
			<li>y - sets either margin or padding on the y-axis, on both top and bottom sides: my or py</li>
		</ul>
	</div>
	<div class="my-5 px-4 bg-info text-dark">
		Bootstrap padding and margin sizes from 0 to 5 and auto
		<ul>
			<li>0 - sets either margin or padding to 0</li>
			<li>1 - sets either margin or padding to 0.25rem or 4px if the default font size is 16px</li>
			<li>2 - sets either margin or padding to .5rem or 8px if the font size is 16px</li>
			<li>3 - sets either margin or padding to .1rem or 16px if the font size is 16px</li>
			<li>4 - sets either margin or padding to 1.5rem or 24px if the font size is 16px</li>
			<li>5 - sets either margin or padding to 3rem or 48px if the font size is 16px</li>
			<li>auto - automatically set the padding or margin based on the amount of space left</li>
		</ul>
	</div>
	
	<!-- centering of elements with margin -->
	<div style="widows: 450px;" class="mx-auto mt-5 bg-warning">
		In bootstrap, we can use the mx-auto class to center an element which display is block and has a definite width
	</div>
	<div>
		<!-- text-center: centers text and inline elements. However for block element, it on center the text and note the element itself -->
	</div>

	<div class="bg-dark"> 
		<!-- button by default: inline block -->
		<button style="height: 100px; width: 100px;">No Bootstrap</button>
		<!-- img by default -->
		<img src="https://place-puppy.com/300x300" alt="puppy">
		<!-- span by defaul: inline -->
		<span style="height: 100px; width: 100px;" class="bg-warning">Im an inline element</span>
		<p class="bg-success">Sample Text</p>
	
	</div>



	<!-- links -->
	<div class="p-3 bg-dark">
		<a href="#" class="text-danger text-decoration-none">This link is red.</a>
		<a href="#" class="text-primary text-decoration-none">This link is blue.</a>
		<a href="#" class="text-success">This link is green.</a>
		<a href="https://www.google.com" target="_blank" class="" class="btn btn-danger">I am a Link.</a>
	</div>
	<!-- button -->
	<div class="p-3">
		<button class="btn">No Color</button>
		<button class="btn btn-success">BTN Success</button>
		<button class="btn btn-outline-danger">BTN Outline</button>
		<button class="btn btn-block btn-primary">Block Button</button>
		
	</div>
	<!-- text transformation -->
	<div class="bg-primary">
		<p class="text-lowercase">LOWERCASED TEXT</p>
		<p class="text-uppercase">uppercased text</p>
		<p class="text-capitalize">capitalized text</p>
	</div>
	<!-- rounded corner -->
	<div class="rounded-circle border border-dark bg-danger" style="height: 100px; width: 100px;">I look like a circle</div>
	<div class="rounded border border-dark bg-danger" style="height: 100px; width: 100px;">I have rounded corners</div>
	<div class="rounded-pill border border-dark bg-danger" style="width: 100px;">I look like a pill</div>






	<!-- js dependencies -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>